/**
 * output package name
 */
package com.kingdee.eas.custom.synctask;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class ActionTypeEnum extends StringEnum
{
    public static final String ADD_VALUE = "ADD";//alias=ÐÂÔö
    public static final String EDIT_VALUE = "EDIT";//alias=±à¼­
    public static final String DELETE_VALUE = "DELETE";//alias=É¾³ý

    public static final ActionTypeEnum ADD = new ActionTypeEnum("ADD", ADD_VALUE);
    public static final ActionTypeEnum EDIT = new ActionTypeEnum("EDIT", EDIT_VALUE);
    public static final ActionTypeEnum DELETE = new ActionTypeEnum("DELETE", DELETE_VALUE);

    /**
     * construct function
     * @param String actionTypeEnum
     */
    private ActionTypeEnum(String name, String actionTypeEnum)
    {
        super(name, actionTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ActionTypeEnum getEnum(String actionTypeEnum)
    {
        return (ActionTypeEnum)getEnum(ActionTypeEnum.class, actionTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ActionTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ActionTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ActionTypeEnum.class);
    }
}